> ## Documentation Index
> Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new user

> Creates a new user account with email and password authentication.

**Rate Limiting:** 5 requests per minute per IP address.




## OpenAPI

````yaml /mdx/api-reference/admin/admin-api.json post /api/auth/signup
openapi: 3.0.0
info:
  title: Pria Admin API
  version: 2.0.1
  description: >-
    Pria API Documentation Praxis's developer platform is a core part of our
    mission to empower organizations to grow better. Our APIs are designed to
    enable teams of any shape or size to build robust integrations that help
    them customize and get the most value out of Pria. All Pria APIs are built
    using REST conventions and designed to have a predictable URL structure.
    <br/>  <br/>They use many standard HTTP features, including methods (POST,
    GET, PUT, DELETE) and error response codes.  <br/> <br/>All API calls are
    made under https://hiimpria.ai/api and all responses return standard JSON.
    In these docs, you'll find lists of all available endpoints for a given API,
    along with interactive code blocks for building requests. For walkthroughs
    of basic usage for these APIs, check out the API guides.
servers:
  - url: https://pria.praxislxp.com
    description: Pria API Server
security: []
tags:
  - name: Authentication
    description: User authentication, registration, and password management (/api/auth)
  - name: OAuth
    description: OAuth authentication providers - Google, GitHub, SSO (/api/auth/oauth)
  - name: User
    description: User profile management and account operations (/api/user)
  - name: User Institutions
    description: User institution memberships and switching (/api/user/institution)
  - name: User Tools
    description: Available tools for authenticated users (/api/user/tools)
  - name: Institutions
    description: Institution settings and configuration (/api/user/institution)
  - name: Conversation
    description: AI conversation and Q&A endpoints (/api/ai)
  - name: Realtime
    description: Real-time voice AI and WebRTC sessions (/api/ai/rt)
  - name: Assistant
    description: AI assistant configuration and management (/api/user/assistant)
  - name: History
    description: Conversation history and favorites (/api/user/history)
  - name: RAG
    description: >-
      Document upload, embedding, and retrieval-augmented generation
      (/api/user/files, /api/user/rag)
  - name: Setting
    description: Instance variables and settings management (/api/user/setting)
  - name: Branding
    description: Digital twin branding and customization (/api/agent/branding)
  - name: Agent
    description: Agent engagement and session management (/api/agent)
  - name: SDK Launch
    description: >-
      SDK launch token signing and verification for secure iframe embedding
      (/api/auth/sdk-sign, /api/auth/sdk-verify)
  - name: Testing
    description: Health checks, diagnostics, and test endpoints (/api/test)
  - name: Admin Accounts
    description: Account management for super admins (/api/admin/account)
  - name: Admin Institutions
    description: Institution management for admins (/api/admin/institution)
  - name: Admin Users
    description: User management for admins (/api/admin/user)
  - name: Admin Entitlements
    description: >-
      User-institution relationships and permissions
      (/api/admin/userInstitution)
  - name: Admin Sessions
    description: Session management for admins (/api/admin/session)
  - name: Admin Histories
    description: Conversation history management and analytics (/api/admin/history)
  - name: Admin Assistants
    description: AI assistant management for admins (/api/admin/assistant)
  - name: Admin Questions
    description: Institution question and prompt management (/api/admin/question)
  - name: Admin Tools
    description: Tool configuration management (/api/admin/tool)
  - name: Admin AI Models
    description: AI model configuration (/api/admin/aimodel)
  - name: Admin MCP Servers
    description: Model Context Protocol server management (/api/admin/mcpserver)
  - name: Admin Feedbacks
    description: User feedback management (/api/admin/feedback)
  - name: Admin Uploads
    description: Upload management (/api/admin/upload)
  - name: Admin Charts
    description: Analytics and visualization chart management (/api/admin/chart)
  - name: Admin Memory
    description: Admin inspection and editing of user/instance memory parameters.
  - name: Admin Usage Limits
    description: Per-user usage-vs-cap reporting and account-wide at-limit counts.
paths:
  /api/auth/signup:
    post:
      tags:
        - Authentication
      summary: Register a new user
      description: |
        Creates a new user account with email and password authentication.

        **Rate Limiting:** 5 requests per minute per IP address.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignupRequest'
      responses:
        '200':
          description: User registered and authenticated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignupResponse'
        '400':
          description: >-
            Bad request - Invalid email, password too short, or user already
            exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: User already exists
components:
  schemas:
    SignupRequest:
      type: object
      required:
        - email
        - password
        - fname
      properties:
        email:
          type: string
          format: email
          description: User email address
          example: john.doe@domain.com
        password:
          type: string
          format: password
          minLength: 6
          description: User password (minimum 6 characters)
          example: mySecurePassword123
        fname:
          type: string
          description: First name
          example: John
        lname:
          type: string
          description: Last name
          example: Doe
        picture:
          type: string
          format: uri
          description: Profile picture URL
    SignupResponse:
      type: object
      properties:
        token:
          type: string
          description: JWT authentication token
        profile:
          $ref: '#/components/schemas/UserProfile'
    UserProfile:
      type: object
      properties:
        _id:
          type: string
        email:
          type: string
          format: email
        fname:
          type: string
        lname:
          type: string
        picture:
          type: string
        accountType:
          type: string
        permissions:
          type: array
          items:
            type: string
        customerId:
          type: string
        lxp_user_id:
          type: string
        lxp_user_type:
          type: integer
        lxp_partner_id:
          type: string
        lxp_partner_name:
          type: string
        lxp_role_id:
          type: integer
        lxp_role_name:
          type: string
        credits:
          type: integer
        creditsUsed:
          type: integer
        plan:
          type: string
        status:
          type: string
        trial_end:
          type: string
          format: date-time
        trial_used:
          type: boolean
        current_period_end:
          type: string
          format: date-time
        cancel_at_period_end:
          type: boolean
        referralId:
          type: string
          format: uuid
        referrerPaid:
          type: boolean
        resetCodeId:
          type: string
          format: uuid
        invoices_urls:
          type: array
          items:
            type: string
        remember_history_count:
          type: integer
        browser_voice:
          type: string
        rt_voice:
          type: string
        use_location:
          type: boolean
        showSideBar:
          type: boolean
        dark_mode:
          type: boolean
        created:
          type: string
          format: date-time
        __v:
          type: integer
        institution:
          $ref: '#/components/schemas/InstitutionProfile'
    InstitutionProfile:
      type: object
      properties:
        _id:
          type: string
        name:
          type: string
        picture:
          type: string
        picture_bg:
          type: string
        picture_dark_bg:
          type: string
        picture_animated:
          type: string
        elevenlabs_agent_id:
          type: string
        credits:
          type: integer
        status:
          type: string
        allowJoining:
          type: string
        joiningAdminOnly:
          type: boolean
        publicId:
          type: string
          format: uuid
        publicAuthorizedUrls:
          type: array
          items:
            type: string
        ainame:
          type: string
        contactEmail:
          type: string
          format: email
        creditAward:
          type: integer
        poolCredits:
          type: boolean
        invoices_urls:
          type: array
          items:
            type: string
        maxCompletionTokens:
          type: integer
        disableFileUploadForUser:
          type: boolean
        disableAudioNotesForUser:
          type: boolean
        toolsDisabled:
          type: array
          items:
            type: string
        ltiContextIds:
          type: array
          items:
            type: string
        personalisationAsked:
          type: boolean
        locationEnabled:
          type: boolean
        rtEnabled:
          type: boolean
        rtAdminOnly:
          type: boolean
        displayAgentDetails:
          type: boolean
        displayThinkingDetails:
          type: boolean
        displayRagSearchDetails:
          type: boolean
        displayThinkingExecution:
          type: boolean
        displayToolExecution:
          type: boolean
        assistantsDisabled:
          type: array
          items:
            type: string
        disableAssistantsForUser:
          type: boolean
        rtVoice:
          type: string
        maxFiles:
          type: integer
        questionType:
          type: string
        creditsTotal:
          type: integer
          nullable: true
        creditsUsagePct:
          type: number
        id:
          type: string

````